Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet
Class InvalidPortletIdException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.portal.portlet.PortletInvokerException
                  org.jboss.portal.portlet.InvalidPortletIdException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NoSuchPortletException

    public class InvalidPortletIdException

extends PortletInvokerException

Thrown by the portlet invoker when a portlet id that is not valid.

Version:
  $Revision: 5989 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`InvalidPortletIdException(java.lang.String portletId)`
`InvalidPortletIdException(java.lang.String message, java.lang.String portletId)`
`InvalidPortletIdException(java.lang.String message, java.lang.Throwable cause, java.lang.String portletId)`
`InvalidPortletIdException(java.lang.Throwable cause, java.lang.String portletId)`

Method Summary
`java.lang.String` | `getPortletId()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPortletIdException

    public InvalidPortletIdException(java.lang.String portletId)

### InvalidPortletIdException

    public InvalidPortletIdException(java.lang.String message,
                                     java.lang.String portletId)

### InvalidPortletIdException

    public InvalidPortletIdException(java.lang.Throwable cause,
                                     java.lang.String portletId)

### InvalidPortletIdException

    public InvalidPortletIdException(java.lang.String message,
                                     java.lang.Throwable cause,
                                     java.lang.String portletId)

Method Detail

### getPortletId

    public java.lang.String getPortletId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.